// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: admin/did.proto

package freeje_admin

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type DidLogType int32

const (
	DidLogType_ATTACH   DidLogType = 0 // включение в пул (покупка) номера с провайдера
	DidLogType_ASSIGN   DidLogType = 1 // назначение номера пользователю
	DidLogType_REASSIGN DidLogType = 2 //  переназначение (продление) номера пользователю
	DidLogType_RELEASE  DidLogType = 3 // особождение назначения номера пользователю
	DidLogType_DETACH   DidLogType = 4 // исключение из пула (возврат) номера с провайдера
	DidLogType_EDIT     DidLogType = 5 // номер отредактирован
)

// Enum value maps for DidLogType.
var (
	DidLogType_name = map[int32]string{
		0: "ATTACH",
		1: "ASSIGN",
		2: "REASSIGN",
		3: "RELEASE",
		4: "DETACH",
		5: "EDIT",
	}
	DidLogType_value = map[string]int32{
		"ATTACH":   0,
		"ASSIGN":   1,
		"REASSIGN": 2,
		"RELEASE":  3,
		"DETACH":   4,
		"EDIT":     5,
	}
)

func (x DidLogType) Enum() *DidLogType {
	p := new(DidLogType)
	*p = x
	return p
}

func (x DidLogType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DidLogType) Descriptor() protoreflect.EnumDescriptor {
	return file_admin_did_proto_enumTypes[0].Descriptor()
}

func (DidLogType) Type() protoreflect.EnumType {
	return &file_admin_did_proto_enumTypes[0]
}

func (x DidLogType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DidLogType.Descriptor instead.
func (DidLogType) EnumDescriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{0}
}

type DidProvider_Type int32

const (
	DidProvider_DIDX       DidProvider_Type = 0
	DidProvider_NEXMO      DidProvider_Type = 1
	DidProvider_DIDWW      DidProvider_Type = 2
	DidProvider_SIPMARKET  DidProvider_Type = 3
	DidProvider_ANVEO      DidProvider_Type = 4
	DidProvider_TWILLIO    DidProvider_Type = 5
	DidProvider_FOLLOWGRAM DidProvider_Type = 6
	DidProvider_SMSHUB     DidProvider_Type = 7
	DidProvider_GETSMSCODE DidProvider_Type = 8
	DidProvider_SIMSMS     DidProvider_Type = 9
)

// Enum value maps for DidProvider_Type.
var (
	DidProvider_Type_name = map[int32]string{
		0: "DIDX",
		1: "NEXMO",
		2: "DIDWW",
		3: "SIPMARKET",
		4: "ANVEO",
		5: "TWILLIO",
		6: "FOLLOWGRAM",
		7: "SMSHUB",
		8: "GETSMSCODE",
		9: "SIMSMS",
	}
	DidProvider_Type_value = map[string]int32{
		"DIDX":       0,
		"NEXMO":      1,
		"DIDWW":      2,
		"SIPMARKET":  3,
		"ANVEO":      4,
		"TWILLIO":    5,
		"FOLLOWGRAM": 6,
		"SMSHUB":     7,
		"GETSMSCODE": 8,
		"SIMSMS":     9,
	}
)

func (x DidProvider_Type) Enum() *DidProvider_Type {
	p := new(DidProvider_Type)
	*p = x
	return p
}

func (x DidProvider_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DidProvider_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_admin_did_proto_enumTypes[1].Descriptor()
}

func (DidProvider_Type) Type() protoreflect.EnumType {
	return &file_admin_did_proto_enumTypes[1]
}

func (x DidProvider_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DidProvider_Type.Descriptor instead.
func (DidProvider_Type) EnumDescriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{5, 0}
}

type DidPrefixPrice_Mode int32

const (
	DidPrefixPrice_NEVER   DidPrefixPrice_Mode = 0 // никогда
	DidPrefixPrice_GREATER DidPrefixPrice_Mode = 1 //если цена больше чем заявлено у оператора
	DidPrefixPrice_ALWAYS  DidPrefixPrice_Mode = 2 // всегда
	DidPrefixPrice_EXCLUDE DidPrefixPrice_Mode = 3 // исключить из выдачи
)

// Enum value maps for DidPrefixPrice_Mode.
var (
	DidPrefixPrice_Mode_name = map[int32]string{
		0: "NEVER",
		1: "GREATER",
		2: "ALWAYS",
		3: "EXCLUDE",
	}
	DidPrefixPrice_Mode_value = map[string]int32{
		"NEVER":   0,
		"GREATER": 1,
		"ALWAYS":  2,
		"EXCLUDE": 3,
	}
)

func (x DidPrefixPrice_Mode) Enum() *DidPrefixPrice_Mode {
	p := new(DidPrefixPrice_Mode)
	*p = x
	return p
}

func (x DidPrefixPrice_Mode) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DidPrefixPrice_Mode) Descriptor() protoreflect.EnumDescriptor {
	return file_admin_did_proto_enumTypes[2].Descriptor()
}

func (DidPrefixPrice_Mode) Type() protoreflect.EnumType {
	return &file_admin_did_proto_enumTypes[2]
}

func (x DidPrefixPrice_Mode) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DidPrefixPrice_Mode.Descriptor instead.
func (DidPrefixPrice_Mode) EnumDescriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{8, 0}
}

type DidRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         string        `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	OwnerId    string        `protobuf:"bytes,2,opt,name=owner_id,json=ownerId,proto3" json:"owner_id,omitempty"`
	OwnerName  string        `protobuf:"bytes,3,opt,name=owner_name,json=ownerName,proto3" json:"owner_name,omitempty"`
	OwnerEmail string        `protobuf:"bytes,4,opt,name=owner_email,json=ownerEmail,proto3" json:"owner_email,omitempty"`
	Did        *DidNumber    `protobuf:"bytes,5,opt,name=did,proto3" json:"did,omitempty"`
	Status     api.DidStatus `protobuf:"varint,6,opt,name=status,proto3,enum=com.freeje.DidStatus" json:"status,omitempty"`
	Createdms  int64         `protobuf:"varint,7,opt,name=createdms,proto3" json:"createdms,omitempty"` // время создания запроса
	Error      string        `protobuf:"bytes,8,opt,name=error,proto3" json:"error,omitempty"`
	DocumentId []string      `protobuf:"bytes,9,rep,name=document_id,json=documentId,proto3" json:"document_id,omitempty"` // идентификаторы данных документа при покупке
}

func (x *DidRequest) Reset() {
	*x = DidRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_did_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidRequest) ProtoMessage() {}

func (x *DidRequest) ProtoReflect() protoreflect.Message {
	mi := &file_admin_did_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidRequest.ProtoReflect.Descriptor instead.
func (*DidRequest) Descriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{0}
}

func (x *DidRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DidRequest) GetOwnerId() string {
	if x != nil {
		return x.OwnerId
	}
	return ""
}

func (x *DidRequest) GetOwnerName() string {
	if x != nil {
		return x.OwnerName
	}
	return ""
}

func (x *DidRequest) GetOwnerEmail() string {
	if x != nil {
		return x.OwnerEmail
	}
	return ""
}

func (x *DidRequest) GetDid() *DidNumber {
	if x != nil {
		return x.Did
	}
	return nil
}

func (x *DidRequest) GetStatus() api.DidStatus {
	if x != nil {
		return x.Status
	}
	return api.DidStatus(0)
}

func (x *DidRequest) GetCreatedms() int64 {
	if x != nil {
		return x.Createdms
	}
	return 0
}

func (x *DidRequest) GetError() string {
	if x != nil {
		return x.Error
	}
	return ""
}

func (x *DidRequest) GetDocumentId() []string {
	if x != nil {
		return x.DocumentId
	}
	return nil
}

type DidAssignment struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DidId      string `protobuf:"bytes,1,opt,name=did_id,json=didId,proto3" json:"did_id,omitempty"`
	AccountId  string `protobuf:"bytes,2,opt,name=account_id,json=accountId,proto3" json:"account_id,omitempty"`
	PayedUntil int64  `protobuf:"varint,3,opt,name=payed_until,json=payedUntil,proto3" json:"payed_until,omitempty"`
}

func (x *DidAssignment) Reset() {
	*x = DidAssignment{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_did_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidAssignment) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidAssignment) ProtoMessage() {}

func (x *DidAssignment) ProtoReflect() protoreflect.Message {
	mi := &file_admin_did_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidAssignment.ProtoReflect.Descriptor instead.
func (*DidAssignment) Descriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{1}
}

func (x *DidAssignment) GetDidId() string {
	if x != nil {
		return x.DidId
	}
	return ""
}

func (x *DidAssignment) GetAccountId() string {
	if x != nil {
		return x.AccountId
	}
	return ""
}

func (x *DidAssignment) GetPayedUntil() int64 {
	if x != nil {
		return x.PayedUntil
	}
	return 0
}

type DidDocument struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id      string           `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`            // идентификатор документа
	Created int64            `protobuf:"varint,2,opt,name=created,proto3" json:"created,omitempty"` // время документа
	Type    api.DocumentType `protobuf:"varint,3,opt,name=type,proto3,enum=com.freeje.DocumentType" json:"type,omitempty"`
	Data    []byte           `protobuf:"bytes,4,opt,name=data,proto3" json:"data,omitempty"`   // содержимое документа в зависимости от DocumentType
	Label   string           `protobuf:"bytes,5,opt,name=label,proto3" json:"label,omitempty"` // краткое обозначение
}

func (x *DidDocument) Reset() {
	*x = DidDocument{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_did_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidDocument) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidDocument) ProtoMessage() {}

func (x *DidDocument) ProtoReflect() protoreflect.Message {
	mi := &file_admin_did_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidDocument.ProtoReflect.Descriptor instead.
func (*DidDocument) Descriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{2}
}

func (x *DidDocument) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DidDocument) GetCreated() int64 {
	if x != nil {
		return x.Created
	}
	return 0
}

func (x *DidDocument) GetType() api.DocumentType {
	if x != nil {
		return x.Type
	}
	return api.DocumentType(0)
}

func (x *DidDocument) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *DidDocument) GetLabel() string {
	if x != nil {
		return x.Label
	}
	return ""
}

type DidListRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Prefix    string `protobuf:"bytes,1,opt,name=prefix,proto3" json:"prefix,omitempty"`
	AccountId string `protobuf:"bytes,2,opt,name=account_id,json=accountId,proto3" json:"account_id,omitempty"`
}

func (x *DidListRequest) Reset() {
	*x = DidListRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_did_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidListRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidListRequest) ProtoMessage() {}

func (x *DidListRequest) ProtoReflect() protoreflect.Message {
	mi := &file_admin_did_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidListRequest.ProtoReflect.Descriptor instead.
func (*DidListRequest) Descriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{3}
}

func (x *DidListRequest) GetPrefix() string {
	if x != nil {
		return x.Prefix
	}
	return ""
}

func (x *DidListRequest) GetAccountId() string {
	if x != nil {
		return x.AccountId
	}
	return ""
}

type DidLog struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          string     `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Stamp       int64      `protobuf:"varint,2,opt,name=stamp,proto3" json:"stamp,omitempty"` // время документа
	Type        DidLogType `protobuf:"varint,3,opt,name=type,proto3,enum=com.freeje.api.admin.DidLogType" json:"type,omitempty"`
	Did         *DidNumber `protobuf:"bytes,4,opt,name=did,proto3" json:"did,omitempty"`
	Diff        string     `protobuf:"bytes,5,opt,name=diff,proto3" json:"diff,omitempty"`
	AuthorEmail string     `protobuf:"bytes,6,opt,name=authorEmail,proto3" json:"authorEmail,omitempty"`
}

func (x *DidLog) Reset() {
	*x = DidLog{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_did_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidLog) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidLog) ProtoMessage() {}

func (x *DidLog) ProtoReflect() protoreflect.Message {
	mi := &file_admin_did_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidLog.ProtoReflect.Descriptor instead.
func (*DidLog) Descriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{4}
}

func (x *DidLog) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DidLog) GetStamp() int64 {
	if x != nil {
		return x.Stamp
	}
	return 0
}

func (x *DidLog) GetType() DidLogType {
	if x != nil {
		return x.Type
	}
	return DidLogType_ATTACH
}

func (x *DidLog) GetDid() *DidNumber {
	if x != nil {
		return x.Did
	}
	return nil
}

func (x *DidLog) GetDiff() string {
	if x != nil {
		return x.Diff
	}
	return ""
}

func (x *DidLog) GetAuthorEmail() string {
	if x != nil {
		return x.AuthorEmail
	}
	return ""
}

type DidProvider struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id              string           `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name            string           `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Type            DidProvider_Type `protobuf:"varint,3,opt,name=type,proto3,enum=com.freeje.api.admin.DidProvider_Type" json:"type,omitempty"`
	Auth            []string         `protobuf:"bytes,4,rep,name=auth,proto3" json:"auth,omitempty"`                                                 //массив данных для авторизации (логин пароль ключ и тд)
	Createms        int64            `protobuf:"varint,5,opt,name=createms,proto3" json:"createms,omitempty"`                                        // время создания
	Updatems        int64            `protobuf:"varint,6,opt,name=updatems,proto3" json:"updatems,omitempty"`                                        // время последнего обновления
	Syncms          int64            `protobuf:"varint,7,opt,name=syncms,proto3" json:"syncms,omitempty"`                                            // время синхронизации номеров
	ReleaseDelaySec int64            `protobuf:"varint,8,opt,name=release_delay_sec,json=releaseDelaySec,proto3" json:"release_delay_sec,omitempty"` // дефолтное время задержки освобождения номера на провайдере в секундах (-1 никогда)
	Notes           string           `protobuf:"bytes,9,opt,name=notes,proto3" json:"notes,omitempty"`
	UseInOffer      bool             `protobuf:"varint,10,opt,name=use_in_offer,json=useInOffer,proto3" json:"use_in_offer,omitempty"` // использовать провайдера для выдачи предложений
	PriceId         string           `protobuf:"bytes,11,opt,name=price_id,json=priceId,proto3" json:"price_id,omitempty"`
	TimeoutSec      int32            `protobuf:"varint,12,opt,name=timeout_sec,json=timeoutSec,proto3" json:"timeout_sec,omitempty"` // максимальное время не ответ провайдера в секундах (0 без ограничений)
	Currency        string           `protobuf:"bytes,13,opt,name=currency,proto3" json:"currency,omitempty"`                        // валюта оператора , если на задана то USD
}

func (x *DidProvider) Reset() {
	*x = DidProvider{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_did_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidProvider) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidProvider) ProtoMessage() {}

func (x *DidProvider) ProtoReflect() protoreflect.Message {
	mi := &file_admin_did_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidProvider.ProtoReflect.Descriptor instead.
func (*DidProvider) Descriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{5}
}

func (x *DidProvider) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DidProvider) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *DidProvider) GetType() DidProvider_Type {
	if x != nil {
		return x.Type
	}
	return DidProvider_DIDX
}

func (x *DidProvider) GetAuth() []string {
	if x != nil {
		return x.Auth
	}
	return nil
}

func (x *DidProvider) GetCreatems() int64 {
	if x != nil {
		return x.Createms
	}
	return 0
}

func (x *DidProvider) GetUpdatems() int64 {
	if x != nil {
		return x.Updatems
	}
	return 0
}

func (x *DidProvider) GetSyncms() int64 {
	if x != nil {
		return x.Syncms
	}
	return 0
}

func (x *DidProvider) GetReleaseDelaySec() int64 {
	if x != nil {
		return x.ReleaseDelaySec
	}
	return 0
}

func (x *DidProvider) GetNotes() string {
	if x != nil {
		return x.Notes
	}
	return ""
}

func (x *DidProvider) GetUseInOffer() bool {
	if x != nil {
		return x.UseInOffer
	}
	return false
}

func (x *DidProvider) GetPriceId() string {
	if x != nil {
		return x.PriceId
	}
	return ""
}

func (x *DidProvider) GetTimeoutSec() int32 {
	if x != nil {
		return x.TimeoutSec
	}
	return 0
}

func (x *DidProvider) GetCurrency() string {
	if x != nil {
		return x.Currency
	}
	return ""
}

type DidNumber struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id              string              `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`                          // идентификатор (может быть пустым если это не конкретный купленный номер
	Number          string              `protobuf:"bytes,2,opt,name=number,proto3" json:"number,omitempty"`                  // номер или его префикс
	DidName         string              `protobuf:"bytes,3,opt,name=did_name,json=didName,proto3" json:"did_name,omitempty"` // Читабельный идентификатор оператора
	Country         string              `protobuf:"bytes,4,opt,name=country,proto3" json:"country,omitempty"`                // ISO-2 код страны номера
	PayedTill       int64               `protobuf:"varint,5,opt,name=payed_till,json=payedTill,proto3" json:"payed_till,omitempty"`
	ProviderId      string              `protobuf:"bytes,6,opt,name=provider_id,json=providerId,proto3" json:"provider_id,omitempty"` // идентификатор оператора
	Provider        string              `protobuf:"bytes,7,opt,name=provider,proto3" json:"provider,omitempty"`                       // идентификатор оператора
	Createdms       int64               `protobuf:"varint,10,opt,name=createdms,proto3" json:"createdms,omitempty"`                   // время создания номера
	Assignedms      int64               `protobuf:"varint,11,opt,name=assignedms,proto3" json:"assignedms,omitempty"`                 // время последнего присвоения
	Locality        string              `protobuf:"bytes,12,opt,name=locality,proto3" json:"locality,omitempty"`                      // Местонахождение
	LocalityPrefix  string              `protobuf:"bytes,13,opt,name=localityPrefix,proto3" json:"localityPrefix,omitempty"`          // префикс по которому вычислено местонахождение
	Type            api.PhoneType       `protobuf:"varint,14,opt,name=type,proto3,enum=com.freeje.PhoneType" json:"type,omitempty"`
	Available       bool                `protobuf:"varint,15,opt,name=available,proto3" json:"available,omitempty"`
	VendorPrice     *api.DidPrice       `protobuf:"bytes,16,opt,name=vendorPrice,proto3" json:"vendorPrice,omitempty"`
	CustomerPrice   *api.DidPrice       `protobuf:"bytes,17,opt,name=customerPrice,proto3" json:"customerPrice,omitempty"`
	Notes           string              `protobuf:"bytes,18,opt,name=notes,proto3" json:"notes,omitempty"`
	Owned           bool                `protobuf:"varint,19,opt,name=owned,proto3" json:"owned,omitempty"`
	OwnerId         string              `protobuf:"bytes,20,opt,name=owner_id,json=ownerId,proto3" json:"owner_id,omitempty"`
	Requirements    []api.DocumentType  `protobuf:"varint,21,rep,packed,name=requirements,proto3,enum=com.freeje.DocumentType" json:"requirements,omitempty"` // типы документов которые необходимо предоставить
	Features        []api.NumberFeature `protobuf:"varint,22,rep,packed,name=features,proto3,enum=com.freeje.NumberFeature" json:"features,omitempty"`        // особенности номеров в зоне
	OwnerName       string              `protobuf:"bytes,23,opt,name=owner_name,json=ownerName,proto3" json:"owner_name,omitempty"`                           // Имя пользователя
	OwnerEmail      string              `protobuf:"bytes,24,opt,name=owner_email,json=ownerEmail,proto3" json:"owner_email,omitempty"`                        // Email пользователя
	ReleaseDelaySec int64               `protobuf:"varint,25,opt,name=release_delay_sec,json=releaseDelaySec,proto3" json:"release_delay_sec,omitempty"`      // время задержки освобождения номера на провайдере в секундах (-1 никогда)
}

func (x *DidNumber) Reset() {
	*x = DidNumber{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_did_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidNumber) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidNumber) ProtoMessage() {}

func (x *DidNumber) ProtoReflect() protoreflect.Message {
	mi := &file_admin_did_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidNumber.ProtoReflect.Descriptor instead.
func (*DidNumber) Descriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{6}
}

func (x *DidNumber) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DidNumber) GetNumber() string {
	if x != nil {
		return x.Number
	}
	return ""
}

func (x *DidNumber) GetDidName() string {
	if x != nil {
		return x.DidName
	}
	return ""
}

func (x *DidNumber) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

func (x *DidNumber) GetPayedTill() int64 {
	if x != nil {
		return x.PayedTill
	}
	return 0
}

func (x *DidNumber) GetProviderId() string {
	if x != nil {
		return x.ProviderId
	}
	return ""
}

func (x *DidNumber) GetProvider() string {
	if x != nil {
		return x.Provider
	}
	return ""
}

func (x *DidNumber) GetCreatedms() int64 {
	if x != nil {
		return x.Createdms
	}
	return 0
}

func (x *DidNumber) GetAssignedms() int64 {
	if x != nil {
		return x.Assignedms
	}
	return 0
}

func (x *DidNumber) GetLocality() string {
	if x != nil {
		return x.Locality
	}
	return ""
}

func (x *DidNumber) GetLocalityPrefix() string {
	if x != nil {
		return x.LocalityPrefix
	}
	return ""
}

func (x *DidNumber) GetType() api.PhoneType {
	if x != nil {
		return x.Type
	}
	return api.PhoneType(0)
}

func (x *DidNumber) GetAvailable() bool {
	if x != nil {
		return x.Available
	}
	return false
}

func (x *DidNumber) GetVendorPrice() *api.DidPrice {
	if x != nil {
		return x.VendorPrice
	}
	return nil
}

func (x *DidNumber) GetCustomerPrice() *api.DidPrice {
	if x != nil {
		return x.CustomerPrice
	}
	return nil
}

func (x *DidNumber) GetNotes() string {
	if x != nil {
		return x.Notes
	}
	return ""
}

func (x *DidNumber) GetOwned() bool {
	if x != nil {
		return x.Owned
	}
	return false
}

func (x *DidNumber) GetOwnerId() string {
	if x != nil {
		return x.OwnerId
	}
	return ""
}

func (x *DidNumber) GetRequirements() []api.DocumentType {
	if x != nil {
		return x.Requirements
	}
	return nil
}

func (x *DidNumber) GetFeatures() []api.NumberFeature {
	if x != nil {
		return x.Features
	}
	return nil
}

func (x *DidNumber) GetOwnerName() string {
	if x != nil {
		return x.OwnerName
	}
	return ""
}

func (x *DidNumber) GetOwnerEmail() string {
	if x != nil {
		return x.OwnerEmail
	}
	return ""
}

func (x *DidNumber) GetReleaseDelaySec() int64 {
	if x != nil {
		return x.ReleaseDelaySec
	}
	return 0
}

type DidPriceOverride struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id      string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`            // идентификатор
	Name    string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`        // название
	Deleted bool   `protobuf:"varint,3,opt,name=deleted,proto3" json:"deleted,omitempty"` // признак удаления
}

func (x *DidPriceOverride) Reset() {
	*x = DidPriceOverride{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_did_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidPriceOverride) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidPriceOverride) ProtoMessage() {}

func (x *DidPriceOverride) ProtoReflect() protoreflect.Message {
	mi := &file_admin_did_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidPriceOverride.ProtoReflect.Descriptor instead.
func (*DidPriceOverride) Descriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{7}
}

func (x *DidPriceOverride) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DidPriceOverride) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *DidPriceOverride) GetDeleted() bool {
	if x != nil {
		return x.Deleted
	}
	return false
}

type DidPrefixPrice struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DidPriceId         string              `protobuf:"bytes,1,opt,name=did_price_id,json=didPriceId,proto3" json:"did_price_id,omitempty"`
	Prefix             string              `protobuf:"bytes,2,opt,name=prefix,proto3" json:"prefix,omitempty"`                                                        // префикс
	Mode               DidPrefixPrice_Mode `protobuf:"varint,3,opt,name=mode,proto3,enum=com.freeje.api.admin.DidPrefixPrice_Mode" json:"mode,omitempty"`             // условия переопределения цены
	SetupFee           float64             `protobuf:"fixed64,4,opt,name=setup_fee,json=setupFee,proto3" json:"setup_fee,omitempty"`                                  // стоимость выделения номера
	MonthlyFee         float64             `protobuf:"fixed64,5,opt,name=monthly_fee,json=monthlyFee,proto3" json:"monthly_fee,omitempty"`                            // ежемесячное содержание номера
	Comment            string              `protobuf:"bytes,6,opt,name=comment,proto3" json:"comment,omitempty"`                                                      // комментарий
	Updated            int64               `protobuf:"varint,7,opt,name=updated,proto3" json:"updated,omitempty"`                                                     // время последнего обновления, -1 удален
	IncomingMinuteRate float64             `protobuf:"fixed64,10,opt,name=incoming_minute_rate,json=incomingMinuteRate,proto3" json:"incoming_minute_rate,omitempty"` // цена минуты входящего вызова
}

func (x *DidPrefixPrice) Reset() {
	*x = DidPrefixPrice{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_did_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidPrefixPrice) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidPrefixPrice) ProtoMessage() {}

func (x *DidPrefixPrice) ProtoReflect() protoreflect.Message {
	mi := &file_admin_did_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidPrefixPrice.ProtoReflect.Descriptor instead.
func (*DidPrefixPrice) Descriptor() ([]byte, []int) {
	return file_admin_did_proto_rawDescGZIP(), []int{8}
}

func (x *DidPrefixPrice) GetDidPriceId() string {
	if x != nil {
		return x.DidPriceId
	}
	return ""
}

func (x *DidPrefixPrice) GetPrefix() string {
	if x != nil {
		return x.Prefix
	}
	return ""
}

func (x *DidPrefixPrice) GetMode() DidPrefixPrice_Mode {
	if x != nil {
		return x.Mode
	}
	return DidPrefixPrice_NEVER
}

func (x *DidPrefixPrice) GetSetupFee() float64 {
	if x != nil {
		return x.SetupFee
	}
	return 0
}

func (x *DidPrefixPrice) GetMonthlyFee() float64 {
	if x != nil {
		return x.MonthlyFee
	}
	return 0
}

func (x *DidPrefixPrice) GetComment() string {
	if x != nil {
		return x.Comment
	}
	return ""
}

func (x *DidPrefixPrice) GetUpdated() int64 {
	if x != nil {
		return x.Updated
	}
	return 0
}

func (x *DidPrefixPrice) GetIncomingMinuteRate() float64 {
	if x != nil {
		return x.IncomingMinuteRate
	}
	return 0
}

var File_admin_did_proto protoreflect.FileDescriptor

var file_admin_did_proto_rawDesc = []byte{
	0x0a, 0x0f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x64, 0x69, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x14, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x63, 0x6f, 0x76,
	0x65, 0x72, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xae, 0x02, 0x0a, 0x0a,
	0x44, 0x69, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x19, 0x0a, 0x08, 0x6f, 0x77,
	0x6e, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6f, 0x77,
	0x6e, 0x65, 0x72, 0x49, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x5f, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6f, 0x77, 0x6e, 0x65, 0x72,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x5f, 0x65, 0x6d,
	0x61, 0x69, 0x6c, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x6f, 0x77, 0x6e, 0x65, 0x72,
	0x45, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x31, 0x0a, 0x03, 0x64, 0x69, 0x64, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75, 0x6d,
	0x62, 0x65, 0x72, 0x52, 0x03, 0x64, 0x69, 0x64, 0x12, 0x2d, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x15, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44, 0x69, 0x64, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52,
	0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x6d, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x64, 0x6d, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x08,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x1f, 0x0a, 0x0b, 0x64,
	0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x09, 0x20, 0x03, 0x28, 0x09,
	0x52, 0x0a, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x22, 0x66, 0x0a, 0x0d,
	0x44, 0x69, 0x64, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x15, 0x0a,
	0x06, 0x64, 0x69, 0x64, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x64,
	0x69, 0x64, 0x49, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5f,
	0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x70, 0x61, 0x79, 0x65, 0x64, 0x5f, 0x75, 0x6e, 0x74,
	0x69, 0x6c, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x70, 0x61, 0x79, 0x65, 0x64, 0x55,
	0x6e, 0x74, 0x69, 0x6c, 0x22, 0x8f, 0x01, 0x0a, 0x0b, 0x44, 0x69, 0x64, 0x44, 0x6f, 0x63, 0x75,
	0x6d, 0x65, 0x6e, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x12, 0x2c,
	0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x18, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65,
	0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x12, 0x0a, 0x04,
	0x64, 0x61, 0x74, 0x61, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61,
	0x12, 0x14, 0x0a, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x22, 0x47, 0x0a, 0x0e, 0x44, 0x69, 0x64, 0x4c, 0x69, 0x73,
	0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x70, 0x72, 0x65, 0x66,
	0x69, 0x78, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78,
	0x12, 0x1d, 0x0a, 0x0a, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x49, 0x64, 0x22,
	0xcd, 0x01, 0x0a, 0x06, 0x44, 0x69, 0x64, 0x4c, 0x6f, 0x67, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x12, 0x34, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4c, 0x6f, 0x67, 0x54, 0x79, 0x70, 0x65,
	0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x31, 0x0a, 0x03, 0x64, 0x69, 0x64, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75,
	0x6d, 0x62, 0x65, 0x72, 0x52, 0x03, 0x64, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x69, 0x66,
	0x66, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x64, 0x69, 0x66, 0x66, 0x12, 0x20, 0x0a,
	0x0b, 0x61, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0b, 0x61, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x22,
	0x95, 0x04, 0x0a, 0x0b, 0x44, 0x69, 0x64, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12,
	0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12,
	0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x3a, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x2e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12,
	0x12, 0x0a, 0x04, 0x61, 0x75, 0x74, 0x68, 0x18, 0x04, 0x20, 0x03, 0x28, 0x09, 0x52, 0x04, 0x61,
	0x75, 0x74, 0x68, 0x12, 0x1a, 0x0a, 0x08, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x6d, 0x73, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x6d, 0x73, 0x12,
	0x1a, 0x0a, 0x08, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x08, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x16, 0x0a, 0x06, 0x73,
	0x79, 0x6e, 0x63, 0x6d, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x06, 0x73, 0x79, 0x6e,
	0x63, 0x6d, 0x73, 0x12, 0x2a, 0x0a, 0x11, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x5f, 0x64,
	0x65, 0x6c, 0x61, 0x79, 0x5f, 0x73, 0x65, 0x63, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0f,
	0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x44, 0x65, 0x6c, 0x61, 0x79, 0x53, 0x65, 0x63, 0x12,
	0x14, 0x0a, 0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05,
	0x6e, 0x6f, 0x74, 0x65, 0x73, 0x12, 0x20, 0x0a, 0x0c, 0x75, 0x73, 0x65, 0x5f, 0x69, 0x6e, 0x5f,
	0x6f, 0x66, 0x66, 0x65, 0x72, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x75, 0x73, 0x65,
	0x49, 0x6e, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x19, 0x0a, 0x08, 0x70, 0x72, 0x69, 0x63, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x70, 0x72, 0x69, 0x63, 0x65,
	0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74, 0x5f, 0x73, 0x65,
	0x63, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0a, 0x74, 0x69, 0x6d, 0x65, 0x6f, 0x75, 0x74,
	0x53, 0x65, 0x63, 0x12, 0x1a, 0x0a, 0x08, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x18,
	0x0d, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x22,
	0x85, 0x01, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12, 0x08, 0x0a, 0x04, 0x44, 0x49, 0x44, 0x58,
	0x10, 0x00, 0x12, 0x09, 0x0a, 0x05, 0x4e, 0x45, 0x58, 0x4d, 0x4f, 0x10, 0x01, 0x12, 0x09, 0x0a,
	0x05, 0x44, 0x49, 0x44, 0x57, 0x57, 0x10, 0x02, 0x12, 0x0d, 0x0a, 0x09, 0x53, 0x49, 0x50, 0x4d,
	0x41, 0x52, 0x4b, 0x45, 0x54, 0x10, 0x03, 0x12, 0x09, 0x0a, 0x05, 0x41, 0x4e, 0x56, 0x45, 0x4f,
	0x10, 0x04, 0x12, 0x0b, 0x0a, 0x07, 0x54, 0x57, 0x49, 0x4c, 0x4c, 0x49, 0x4f, 0x10, 0x05, 0x12,
	0x0e, 0x0a, 0x0a, 0x46, 0x4f, 0x4c, 0x4c, 0x4f, 0x57, 0x47, 0x52, 0x41, 0x4d, 0x10, 0x06, 0x12,
	0x0a, 0x0a, 0x06, 0x53, 0x4d, 0x53, 0x48, 0x55, 0x42, 0x10, 0x07, 0x12, 0x0e, 0x0a, 0x0a, 0x47,
	0x45, 0x54, 0x53, 0x4d, 0x53, 0x43, 0x4f, 0x44, 0x45, 0x10, 0x08, 0x12, 0x0a, 0x0a, 0x06, 0x53,
	0x49, 0x4d, 0x53, 0x4d, 0x53, 0x10, 0x09, 0x22, 0xab, 0x06, 0x0a, 0x09, 0x44, 0x69, 0x64, 0x4e,
	0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x19, 0x0a,
	0x08, 0x64, 0x69, 0x64, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x64, 0x69, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x72, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x72, 0x79, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x61, 0x79, 0x65, 0x64, 0x5f, 0x74, 0x69, 0x6c, 0x6c,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x70, 0x61, 0x79, 0x65, 0x64, 0x54, 0x69, 0x6c,
	0x6c, 0x12, 0x1f, 0x0a, 0x0b, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x5f, 0x69, 0x64,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72,
	0x49, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x1c,
	0x0a, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x18, 0x0a, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x12, 0x1e, 0x0a, 0x0a,
	0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x6d, 0x73, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x0a, 0x61, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x65, 0x64, 0x6d, 0x73, 0x12, 0x1a, 0x0a, 0x08,
	0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x26, 0x0a, 0x0e, 0x6c, 0x6f, 0x63, 0x61,
	0x6c, 0x69, 0x74, 0x79, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0e, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
	0x12, 0x29, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x15,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50, 0x68, 0x6f, 0x6e,
	0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x61,
	0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x18, 0x0f, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09,
	0x61, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x12, 0x36, 0x0a, 0x0b, 0x76, 0x65, 0x6e,
	0x64, 0x6f, 0x72, 0x50, 0x72, 0x69, 0x63, 0x65, 0x18, 0x10, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44, 0x69, 0x64, 0x50,
	0x72, 0x69, 0x63, 0x65, 0x52, 0x0b, 0x76, 0x65, 0x6e, 0x64, 0x6f, 0x72, 0x50, 0x72, 0x69, 0x63,
	0x65, 0x12, 0x3a, 0x0a, 0x0d, 0x63, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x65, 0x72, 0x50, 0x72, 0x69,
	0x63, 0x65, 0x18, 0x11, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x0d,
	0x63, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x65, 0x72, 0x50, 0x72, 0x69, 0x63, 0x65, 0x12, 0x14, 0x0a,
	0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x18, 0x12, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6e, 0x6f,
	0x74, 0x65, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x64, 0x18, 0x13, 0x20, 0x01,
	0x28, 0x08, 0x52, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x64, 0x12, 0x19, 0x0a, 0x08, 0x6f, 0x77, 0x6e,
	0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x14, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6f, 0x77, 0x6e,
	0x65, 0x72, 0x49, 0x64, 0x12, 0x3c, 0x0a, 0x0c, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x73, 0x18, 0x15, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x18, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x0c, 0x72, 0x65, 0x71, 0x75, 0x69, 0x72, 0x65, 0x6d, 0x65, 0x6e,
	0x74, 0x73, 0x12, 0x35, 0x0a, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73, 0x18, 0x16,
	0x20, 0x03, 0x28, 0x0e, 0x32, 0x19, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x46, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x52,
	0x08, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73, 0x12, 0x1d, 0x0a, 0x0a, 0x6f, 0x77, 0x6e,
	0x65, 0x72, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x17, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6f,
	0x77, 0x6e, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x6f, 0x77, 0x6e, 0x65,
	0x72, 0x5f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x18, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x6f,
	0x77, 0x6e, 0x65, 0x72, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x2a, 0x0a, 0x11, 0x72, 0x65, 0x6c,
	0x65, 0x61, 0x73, 0x65, 0x5f, 0x64, 0x65, 0x6c, 0x61, 0x79, 0x5f, 0x73, 0x65, 0x63, 0x18, 0x19,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x0f, 0x72, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65, 0x44, 0x65, 0x6c,
	0x61, 0x79, 0x53, 0x65, 0x63, 0x22, 0x50, 0x0a, 0x10, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69, 0x63,
	0x65, 0x4f, 0x76, 0x65, 0x72, 0x72, 0x69, 0x64, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x18, 0x0a,
	0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07,
	0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x22, 0xe6, 0x02, 0x0a, 0x0e, 0x44, 0x69, 0x64, 0x50,
	0x72, 0x65, 0x66, 0x69, 0x78, 0x50, 0x72, 0x69, 0x63, 0x65, 0x12, 0x20, 0x0a, 0x0c, 0x64, 0x69,
	0x64, 0x5f, 0x70, 0x72, 0x69, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0a, 0x64, 0x69, 0x64, 0x50, 0x72, 0x69, 0x63, 0x65, 0x49, 0x64, 0x12, 0x16, 0x0a, 0x06,
	0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x72,
	0x65, 0x66, 0x69, 0x78, 0x12, 0x3d, 0x0a, 0x04, 0x6d, 0x6f, 0x64, 0x65, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0e, 0x32, 0x29, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x65,
	0x66, 0x69, 0x78, 0x50, 0x72, 0x69, 0x63, 0x65, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x52, 0x04, 0x6d,
	0x6f, 0x64, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x73, 0x65, 0x74, 0x75, 0x70, 0x5f, 0x66, 0x65, 0x65,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x01, 0x52, 0x08, 0x73, 0x65, 0x74, 0x75, 0x70, 0x46, 0x65, 0x65,
	0x12, 0x1f, 0x0a, 0x0b, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x6c, 0x79, 0x5f, 0x66, 0x65, 0x65, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x01, 0x52, 0x0a, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x6c, 0x79, 0x46, 0x65,
	0x65, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x75,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x07, 0x75, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x64, 0x12, 0x30, 0x0a, 0x14, 0x69, 0x6e, 0x63, 0x6f, 0x6d, 0x69, 0x6e,
	0x67, 0x5f, 0x6d, 0x69, 0x6e, 0x75, 0x74, 0x65, 0x5f, 0x72, 0x61, 0x74, 0x65, 0x18, 0x0a, 0x20,
	0x01, 0x28, 0x01, 0x52, 0x12, 0x69, 0x6e, 0x63, 0x6f, 0x6d, 0x69, 0x6e, 0x67, 0x4d, 0x69, 0x6e,
	0x75, 0x74, 0x65, 0x52, 0x61, 0x74, 0x65, 0x22, 0x37, 0x0a, 0x04, 0x4d, 0x6f, 0x64, 0x65, 0x12,
	0x09, 0x0a, 0x05, 0x4e, 0x45, 0x56, 0x45, 0x52, 0x10, 0x00, 0x12, 0x0b, 0x0a, 0x07, 0x47, 0x52,
	0x45, 0x41, 0x54, 0x45, 0x52, 0x10, 0x01, 0x12, 0x0a, 0x0a, 0x06, 0x41, 0x4c, 0x57, 0x41, 0x59,
	0x53, 0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x45, 0x58, 0x43, 0x4c, 0x55, 0x44, 0x45, 0x10, 0x03,
	0x2a, 0x55, 0x0a, 0x0a, 0x44, 0x69, 0x64, 0x4c, 0x6f, 0x67, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0a,
	0x0a, 0x06, 0x41, 0x54, 0x54, 0x41, 0x43, 0x48, 0x10, 0x00, 0x12, 0x0a, 0x0a, 0x06, 0x41, 0x53,
	0x53, 0x49, 0x47, 0x4e, 0x10, 0x01, 0x12, 0x0c, 0x0a, 0x08, 0x52, 0x45, 0x41, 0x53, 0x53, 0x49,
	0x47, 0x4e, 0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x52, 0x45, 0x4c, 0x45, 0x41, 0x53, 0x45, 0x10,
	0x03, 0x12, 0x0a, 0x0a, 0x06, 0x44, 0x45, 0x54, 0x41, 0x43, 0x48, 0x10, 0x04, 0x12, 0x08, 0x0a,
	0x04, 0x45, 0x44, 0x49, 0x54, 0x10, 0x05, 0x32, 0xf3, 0x0b, 0x0a, 0x03, 0x44, 0x49, 0x44, 0x12,
	0x4e, 0x0a, 0x0d, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x73,
	0x12, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x65,
	0x61, 0x72, 0x63, 0x68, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69,
	0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x30, 0x01, 0x12,
	0x56, 0x0a, 0x0e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65,
	0x72, 0x12, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x46, 0x0a, 0x0c, 0x53, 0x79, 0x6e, 0x63, 0x50,
	0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44,
	0x69, 0x64, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x1a, 0x11, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x30, 0x01, 0x12,
	0x53, 0x0a, 0x0b, 0x47, 0x65, 0x74, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x21,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65,
	0x72, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x6f, 0x76,
	0x69, 0x64, 0x65, 0x72, 0x12, 0x56, 0x0a, 0x0e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69,
	0x64, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e,
	0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x43, 0x0a, 0x04,
	0x4c, 0x69, 0x73, 0x74, 0x12, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x1a, 0x1f,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x30,
	0x01, 0x12, 0x47, 0x0a, 0x03, 0x47, 0x65, 0x74, 0x12, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e,
	0x44, 0x69, 0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x1a, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e,
	0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x4d, 0x0a, 0x07, 0x4d, 0x6f,
	0x6e, 0x69, 0x74, 0x6f, 0x72, 0x12, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64,
	0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x1a, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69,
	0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x30, 0x01, 0x12, 0x42, 0x0a, 0x06, 0x47, 0x65, 0x74,
	0x4c, 0x6f, 0x67, 0x12, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x1a, 0x1c, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4c, 0x6f, 0x67, 0x30, 0x01, 0x12, 0x50, 0x0a,
	0x0a, 0x47, 0x65, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x20, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d,
	0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x52, 0x0a, 0x0a, 0x47, 0x65, 0x74, 0x44, 0x69, 0x64, 0x44, 0x6f, 0x63, 0x73, 0x12, 0x1f, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x1a, 0x21,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e,
	0x74, 0x30, 0x01, 0x12, 0x4a, 0x0a, 0x06, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x1f, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x1a, 0x1f,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12,
	0x4a, 0x0a, 0x0b, 0x47, 0x65, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x73, 0x12, 0x17,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44,
	0x69, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x30, 0x01, 0x12, 0x4c, 0x0a, 0x06, 0x52,
	0x65, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44,
	0x69, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3c, 0x0a, 0x06, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x12, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75,
	0x6d, 0x62, 0x65, 0x72, 0x1a, 0x11, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x55, 0x0a, 0x0e, 0x41, 0x73, 0x73, 0x75, 0x6d,
	0x65, 0x43, 0x6f, 0x76, 0x65, 0x72, 0x61, 0x67, 0x65, 0x12, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e,
	0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69,
	0x6e, 0x2e, 0x43, 0x6f, 0x76, 0x65, 0x72, 0x61, 0x67, 0x65, 0x41, 0x72, 0x65, 0x61, 0x12, 0x55,
	0x0a, 0x09, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x44, 0x69, 0x64, 0x12, 0x23, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d,
	0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74,
	0x1a, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x41, 0x73, 0x73, 0x69, 0x67,
	0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x5f, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x76, 0x61,
	0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x73, 0x12, 0x24, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4c, 0x69, 0x73, 0x74, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75,
	0x6d, 0x62, 0x65, 0x72, 0x30, 0x01, 0x12, 0x55, 0x0a, 0x0f, 0x41, 0x70, 0x70, 0x6c, 0x79, 0x44,
	0x69, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e,
	0x2e, 0x44, 0x69, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d,
	0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x32, 0xa6, 0x04,
	0x0a, 0x0f, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4d, 0x61, 0x6e, 0x61, 0x67, 0x65,
	0x72, 0x12, 0x49, 0x0a, 0x04, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f,
	0x64, 0x65, 0x1a, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69,
	0x63, 0x65, 0x4f, 0x76, 0x65, 0x72, 0x72, 0x69, 0x64, 0x65, 0x30, 0x01, 0x12, 0x58, 0x0a, 0x06,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69,
	0x64, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4f, 0x76, 0x65, 0x72, 0x72, 0x69, 0x64, 0x65, 0x1a, 0x26,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4f, 0x76,
	0x65, 0x72, 0x72, 0x69, 0x64, 0x65, 0x12, 0x58, 0x0a, 0x06, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x12, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69, 0x63, 0x65,
	0x4f, 0x76, 0x65, 0x72, 0x72, 0x69, 0x64, 0x65, 0x1a, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e,
	0x44, 0x69, 0x64, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4f, 0x76, 0x65, 0x72, 0x72, 0x69, 0x64, 0x65,
	0x12, 0x5a, 0x0a, 0x0c, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
	0x12, 0x24, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x65, 0x66, 0x69,
	0x78, 0x50, 0x72, 0x69, 0x63, 0x65, 0x1a, 0x24, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69,
	0x64, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x50, 0x72, 0x69, 0x63, 0x65, 0x12, 0x5a, 0x0a, 0x0c,
	0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x24, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64,
	0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x50, 0x72, 0x69,
	0x63, 0x65, 0x1a, 0x24, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x65,
	0x66, 0x69, 0x78, 0x50, 0x72, 0x69, 0x63, 0x65, 0x12, 0x5c, 0x0a, 0x0a, 0x4c, 0x69, 0x73, 0x74,
	0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69,
	0x64, 0x50, 0x72, 0x69, 0x63, 0x65, 0x4f, 0x76, 0x65, 0x72, 0x72, 0x69, 0x64, 0x65, 0x1a, 0x24,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x50,
	0x72, 0x69, 0x63, 0x65, 0x30, 0x01, 0x42, 0x68, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x42, 0x07,
	0x44, 0x49, 0x44, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00, 0x5a, 0x3b, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74, 0x61, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e,
	0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x67, 0x6f, 0x2f,
	0x61, 0x70, 0x69, 0x2f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x3b, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x5f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0xa2, 0x02, 0x07, 0x44, 0x49, 0x44, 0x54, 0x79, 0x70, 0x65,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_admin_did_proto_rawDescOnce sync.Once
	file_admin_did_proto_rawDescData = file_admin_did_proto_rawDesc
)

func file_admin_did_proto_rawDescGZIP() []byte {
	file_admin_did_proto_rawDescOnce.Do(func() {
		file_admin_did_proto_rawDescData = protoimpl.X.CompressGZIP(file_admin_did_proto_rawDescData)
	})
	return file_admin_did_proto_rawDescData
}

var file_admin_did_proto_enumTypes = make([]protoimpl.EnumInfo, 3)
var file_admin_did_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_admin_did_proto_goTypes = []interface{}{
	(DidLogType)(0),          // 0: com.freeje.api.admin.DidLogType
	(DidProvider_Type)(0),    // 1: com.freeje.api.admin.DidProvider.Type
	(DidPrefixPrice_Mode)(0), // 2: com.freeje.api.admin.DidPrefixPrice.Mode
	(*DidRequest)(nil),       // 3: com.freeje.api.admin.DidRequest
	(*DidAssignment)(nil),    // 4: com.freeje.api.admin.DidAssignment
	(*DidDocument)(nil),      // 5: com.freeje.api.admin.DidDocument
	(*DidListRequest)(nil),   // 6: com.freeje.api.admin.DidListRequest
	(*DidLog)(nil),           // 7: com.freeje.api.admin.DidLog
	(*DidProvider)(nil),      // 8: com.freeje.api.admin.DidProvider
	(*DidNumber)(nil),        // 9: com.freeje.api.admin.DidNumber
	(*DidPriceOverride)(nil), // 10: com.freeje.api.admin.DidPriceOverride
	(*DidPrefixPrice)(nil),   // 11: com.freeje.api.admin.DidPrefixPrice
	(api.DidStatus)(0),       // 12: com.freeje.DidStatus
	(api.DocumentType)(0),    // 13: com.freeje.DocumentType
	(api.PhoneType)(0),       // 14: com.freeje.PhoneType
	(*api.DidPrice)(nil),     // 15: com.freeje.DidPrice
	(api.NumberFeature)(0),   // 16: com.freeje.NumberFeature
	(*api.SearchFilter)(nil), // 17: com.freeje.SearchFilter
	(*api.RequestMode)(nil),  // 18: com.freeje.RequestMode
	(*api.Empty)(nil),        // 19: com.freeje.Empty
	(*CoverageArea)(nil),     // 20: com.freeje.api.admin.CoverageArea
}
var file_admin_did_proto_depIdxs = []int32{
	9,  // 0: com.freeje.api.admin.DidRequest.did:type_name -> com.freeje.api.admin.DidNumber
	12, // 1: com.freeje.api.admin.DidRequest.status:type_name -> com.freeje.DidStatus
	13, // 2: com.freeje.api.admin.DidDocument.type:type_name -> com.freeje.DocumentType
	0,  // 3: com.freeje.api.admin.DidLog.type:type_name -> com.freeje.api.admin.DidLogType
	9,  // 4: com.freeje.api.admin.DidLog.did:type_name -> com.freeje.api.admin.DidNumber
	1,  // 5: com.freeje.api.admin.DidProvider.type:type_name -> com.freeje.api.admin.DidProvider.Type
	14, // 6: com.freeje.api.admin.DidNumber.type:type_name -> com.freeje.PhoneType
	15, // 7: com.freeje.api.admin.DidNumber.vendorPrice:type_name -> com.freeje.DidPrice
	15, // 8: com.freeje.api.admin.DidNumber.customerPrice:type_name -> com.freeje.DidPrice
	13, // 9: com.freeje.api.admin.DidNumber.requirements:type_name -> com.freeje.DocumentType
	16, // 10: com.freeje.api.admin.DidNumber.features:type_name -> com.freeje.NumberFeature
	2,  // 11: com.freeje.api.admin.DidPrefixPrice.mode:type_name -> com.freeje.api.admin.DidPrefixPrice.Mode
	17, // 12: com.freeje.api.admin.DID.ListProviders:input_type -> com.freeje.SearchFilter
	8,  // 13: com.freeje.api.admin.DID.UpdateProvider:input_type -> com.freeje.api.admin.DidProvider
	8,  // 14: com.freeje.api.admin.DID.SyncProvider:input_type -> com.freeje.api.admin.DidProvider
	8,  // 15: com.freeje.api.admin.DID.GetProvider:input_type -> com.freeje.api.admin.DidProvider
	8,  // 16: com.freeje.api.admin.DID.DeleteProvider:input_type -> com.freeje.api.admin.DidProvider
	17, // 17: com.freeje.api.admin.DID.List:input_type -> com.freeje.SearchFilter
	9,  // 18: com.freeje.api.admin.DID.Get:input_type -> com.freeje.api.admin.DidNumber
	9,  // 19: com.freeje.api.admin.DID.Monitor:input_type -> com.freeje.api.admin.DidNumber
	17, // 20: com.freeje.api.admin.DID.GetLog:input_type -> com.freeje.SearchFilter
	3,  // 21: com.freeje.api.admin.DID.GetRequest:input_type -> com.freeje.api.admin.DidRequest
	9,  // 22: com.freeje.api.admin.DID.GetDidDocs:input_type -> com.freeje.api.admin.DidNumber
	9,  // 23: com.freeje.api.admin.DID.Update:input_type -> com.freeje.api.admin.DidNumber
	18, // 24: com.freeje.api.admin.DID.GetRequests:input_type -> com.freeje.RequestMode
	3,  // 25: com.freeje.api.admin.DID.Reject:input_type -> com.freeje.api.admin.DidRequest
	9,  // 26: com.freeje.api.admin.DID.Delete:input_type -> com.freeje.api.admin.DidNumber
	9,  // 27: com.freeje.api.admin.DID.AssumeCoverage:input_type -> com.freeje.api.admin.DidNumber
	4,  // 28: com.freeje.api.admin.DID.AssignDid:input_type -> com.freeje.api.admin.DidAssignment
	6,  // 29: com.freeje.api.admin.DID.ListAvailableNumbers:input_type -> com.freeje.api.admin.DidListRequest
	3,  // 30: com.freeje.api.admin.DID.ApplyDidRequest:input_type -> com.freeje.api.admin.DidRequest
	18, // 31: com.freeje.api.admin.DidPriceManager.List:input_type -> com.freeje.RequestMode
	10, // 32: com.freeje.api.admin.DidPriceManager.Update:input_type -> com.freeje.api.admin.DidPriceOverride
	10, // 33: com.freeje.api.admin.DidPriceManager.Delete:input_type -> com.freeje.api.admin.DidPriceOverride
	11, // 34: com.freeje.api.admin.DidPriceManager.UpdatePrefix:input_type -> com.freeje.api.admin.DidPrefixPrice
	11, // 35: com.freeje.api.admin.DidPriceManager.DeletePrefix:input_type -> com.freeje.api.admin.DidPrefixPrice
	10, // 36: com.freeje.api.admin.DidPriceManager.ListPrefix:input_type -> com.freeje.api.admin.DidPriceOverride
	8,  // 37: com.freeje.api.admin.DID.ListProviders:output_type -> com.freeje.api.admin.DidProvider
	8,  // 38: com.freeje.api.admin.DID.UpdateProvider:output_type -> com.freeje.api.admin.DidProvider
	19, // 39: com.freeje.api.admin.DID.SyncProvider:output_type -> com.freeje.Empty
	8,  // 40: com.freeje.api.admin.DID.GetProvider:output_type -> com.freeje.api.admin.DidProvider
	8,  // 41: com.freeje.api.admin.DID.DeleteProvider:output_type -> com.freeje.api.admin.DidProvider
	9,  // 42: com.freeje.api.admin.DID.List:output_type -> com.freeje.api.admin.DidNumber
	9,  // 43: com.freeje.api.admin.DID.Get:output_type -> com.freeje.api.admin.DidNumber
	9,  // 44: com.freeje.api.admin.DID.Monitor:output_type -> com.freeje.api.admin.DidNumber
	7,  // 45: com.freeje.api.admin.DID.GetLog:output_type -> com.freeje.api.admin.DidLog
	3,  // 46: com.freeje.api.admin.DID.GetRequest:output_type -> com.freeje.api.admin.DidRequest
	5,  // 47: com.freeje.api.admin.DID.GetDidDocs:output_type -> com.freeje.api.admin.DidDocument
	9,  // 48: com.freeje.api.admin.DID.Update:output_type -> com.freeje.api.admin.DidNumber
	3,  // 49: com.freeje.api.admin.DID.GetRequests:output_type -> com.freeje.api.admin.DidRequest
	3,  // 50: com.freeje.api.admin.DID.Reject:output_type -> com.freeje.api.admin.DidRequest
	19, // 51: com.freeje.api.admin.DID.Delete:output_type -> com.freeje.Empty
	20, // 52: com.freeje.api.admin.DID.AssumeCoverage:output_type -> com.freeje.api.admin.CoverageArea
	4,  // 53: com.freeje.api.admin.DID.AssignDid:output_type -> com.freeje.api.admin.DidAssignment
	9,  // 54: com.freeje.api.admin.DID.ListAvailableNumbers:output_type -> com.freeje.api.admin.DidNumber
	3,  // 55: com.freeje.api.admin.DID.ApplyDidRequest:output_type -> com.freeje.api.admin.DidRequest
	10, // 56: com.freeje.api.admin.DidPriceManager.List:output_type -> com.freeje.api.admin.DidPriceOverride
	10, // 57: com.freeje.api.admin.DidPriceManager.Update:output_type -> com.freeje.api.admin.DidPriceOverride
	10, // 58: com.freeje.api.admin.DidPriceManager.Delete:output_type -> com.freeje.api.admin.DidPriceOverride
	11, // 59: com.freeje.api.admin.DidPriceManager.UpdatePrefix:output_type -> com.freeje.api.admin.DidPrefixPrice
	11, // 60: com.freeje.api.admin.DidPriceManager.DeletePrefix:output_type -> com.freeje.api.admin.DidPrefixPrice
	11, // 61: com.freeje.api.admin.DidPriceManager.ListPrefix:output_type -> com.freeje.api.admin.DidPrefixPrice
	37, // [37:62] is the sub-list for method output_type
	12, // [12:37] is the sub-list for method input_type
	12, // [12:12] is the sub-list for extension type_name
	12, // [12:12] is the sub-list for extension extendee
	0,  // [0:12] is the sub-list for field type_name
}

func init() { file_admin_did_proto_init() }
func file_admin_did_proto_init() {
	if File_admin_did_proto != nil {
		return
	}
	file_admin_coverage_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_admin_did_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_did_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidAssignment); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_did_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidDocument); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_did_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidListRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_did_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidLog); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_did_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidProvider); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_did_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidNumber); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_did_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidPriceOverride); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_did_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidPrefixPrice); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_admin_did_proto_rawDesc,
			NumEnums:      3,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   2,
		},
		GoTypes:           file_admin_did_proto_goTypes,
		DependencyIndexes: file_admin_did_proto_depIdxs,
		EnumInfos:         file_admin_did_proto_enumTypes,
		MessageInfos:      file_admin_did_proto_msgTypes,
	}.Build()
	File_admin_did_proto = out.File
	file_admin_did_proto_rawDesc = nil
	file_admin_did_proto_goTypes = nil
	file_admin_did_proto_depIdxs = nil
}
